package com.kanglai.push.di.module;

import com.dolphin.core.http.HttpRequest;
import com.kanglai.push.di.scope.MapperScope;
import com.kanglai.push.mapper.LinkMapper;
import com.kanglai.push.mapper.LoginMapper;
import com.kanglai.push.mapper.MessageMapper;
import com.kanglai.push.mapper.PushMapper;

import dagger.Module;
import dagger.Provides;

/**
 *<p>
 * Mapper模块提供
 *</p>
 *
 * @Author: entfrm开发团队-王翔
 * @since: 2022/10/14
 */
@Module
public class MapperModule {

    @Provides
    @MapperScope
    LoginMapper provideLoginMapper() {
        return HttpRequest.getInstance().retrofit.create(LoginMapper.class);
    }

    @Provides
    @MapperScope
    MessageMapper provideMessageMapper() {
        return HttpRequest.getInstance().retrofit.create(MessageMapper.class);
    }
    @Provides
    @MapperScope
    PushMapper providePushMapper() {
        return HttpRequest.getInstance().retrofit.create(PushMapper.class);
    }
    @Provides
    @MapperScope
    LinkMapper provideLinkMapper() {
        return HttpRequest.getInstance().retrofit.create(LinkMapper.class);
    }

}
