package com.kanglai.push.di.module;

import com.kanglai.push.di.scope.ServiceScope;
import com.kanglai.push.service.Impl.LinkServiceImpl;
import com.kanglai.push.service.Impl.LoginServiceImpl;
import com.kanglai.push.service.Impl.MessageServiceImpl;
import com.kanglai.push.service.Impl.PushServiceImpl;
import com.kanglai.push.service.LinkService;
import com.kanglai.push.service.LoginService;
import com.kanglai.push.service.MessageService;
import com.kanglai.push.service.PushService;

import dagger.Module;
import dagger.Provides;

/**
 *<p>
 * 服务模块提供
 *</p>
 *
 * @Author: entfrm开发团队-王翔
 * @since: 2022/10/14
 */
@Module
public class ServiceModule {

    @Provides
    @ServiceScope
    LoginService provideLoginService() {
        return new LoginServiceImpl();
    }

    @Provides
    @ServiceScope
    MessageService provideMessageService() {
        return new MessageServiceImpl();
    }

    @Provides
    @ServiceScope
    PushService providePushService(){
        return new PushServiceImpl();
    }

    @Provides
    @ServiceScope
    LinkService provideLinkService(){
        return new LinkServiceImpl();
    }
}
