package com.kanglai.push.entity;


import android.os.Parcel;
import android.os.Parcelable;

import com.dolphin.core.entity.CommonEntity;

import lombok.Data;
import lombok.experimental.Accessors;
import me.yokeyword.indexablerv.IndexableEntity;


/**
 * (粉丝列表 带排序)关注粉丝实体类
 *
 * 这边实现了排序的接口就不能够在实现序列表接口 两个接口存在冲突
 * 推荐使用 ConcernFans 重新赋值来实现数据传输
 * @Author: liusixiang007
 * @since: 2023/4/4
 */

@Data
@Accessors
public class ConcernFan extends CommonEntity implements IndexableEntity{

    private static final long serialVersionUID = 1L;

    private String id;
    /** 粉丝id */
    private String concernUserId;
    /** 粉丝头像 */
    private String avatar;
    /** 用户名 */
    private String userName;
    /** 昵称 */
    private String nickName;
    /** 电话 */
    private String phone;
    /** 性别 */
    private String sex;
    /** 粉丝创建时间 */
    private String fanCreateTime;
    /** 粉丝id */
    private String fanUserId;
    /**
     * '系统管理员', value: '0' },
     * '普通用户', value: '1' },
     * '企业用户', value: '2' },
     * '收样员', value: '3' },
     * '客服', value: '4' },
     * 	'企业内部用户', value: '5' },
     */
    private String userType;
    /** 粉丝备注 */
    private String fanRemarks;
    /** 邮箱 */
    private String email;
    /** 关注状态*/
    private String cfStatus;
    /** 公司名 */
    private String deptName;
    /** 部门id */
    private String deptId;

    protected ConcernFan(Parcel in) {
        id = in.readString();
        concernUserId = in.readString();
        avatar = in.readString();
        userName = in.readString();
        nickName = in.readString();
        phone = in.readString();
        sex = in.readString();
        fanCreateTime = in.readString();
        fanUserId = in.readString();
        userType = in.readString();
        fanRemarks = in.readString();
        email = in.readString();
        cfStatus = in.readString();
        deptName = in.readString();
        deptId = in.readString();
    }

    public static final Creator<ConcernFan> CREATOR = new Creator<ConcernFan>() {
        @Override
        public ConcernFan createFromParcel(Parcel in) {
            return new ConcernFan(in);
        }

        @Override
        public ConcernFan[] newArray(int size) {
            return new ConcernFan[size];
        }
    };

    @Override
    public String getFieldIndexBy() {
        return userName;
    }

    @Override
    public void setFieldIndexBy(String indexField) {
        this.userName = indexField;
    }

    @Override
    public void setFieldPinyinIndexBy(String pinyin) {

    }


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(id);
        parcel.writeString(concernUserId);
        parcel.writeString(userName);
        parcel.writeString(nickName);
        parcel.writeString(phone);
        parcel.writeString(sex);
        parcel.writeString(fanCreateTime);
        parcel.writeString(fanUserId);
        parcel.writeString(userType);
        parcel.writeString(fanRemarks);
        parcel.writeString(email);
        parcel.writeString(cfStatus);
        parcel.writeString(deptName);
        parcel.writeString(deptId);
    }
}
