package com.kanglai.push.entity;

import android.os.Parcel;
import android.os.Parcelable;

import lombok.Data;
import lombok.experimental.Accessors;
import me.yokeyword.indexablerv.IndexableEntity;

/**
 * 粉丝表(未接收全部信息)
 * @Author: liusixiang007
 * @since: 2023/6/30
 */
@Data
@Accessors
public class ConcernFans implements Parcelable {

    public String id;
    /**头像*/
    public String avatar;
    /**关注用户id*/
    public String concernUserId;
    /**粉丝id*/
    public String fanUserId;
    /**用户名*/
    public String userName;
    /**手机号*/
    public String phone;
    /**性别*/
    public String sex;
    /**用户类型*/
    public String userType;
    /**关注状态*/
    public String cfStatus;
    /**部门名*/
    public String deptName;

    public ConcernFans() {}

    public ConcernFans(String id, String avatar, String userName, String phone, String sex, String userType, String deptName,String concernUserId){
        this.id = id;
        this.avatar = avatar;
        this.userName = userName;
        this.phone = phone;
        this.sex = sex;
        this.userType = userType;
        this.deptName = deptName;
        this.concernUserId = concernUserId;
    }

    protected ConcernFans(Parcel in) {
        id = in.readString();
        avatar = in.readString();
        userName = in.readString();
        phone = in.readString();
        sex = in.readString();
        userType = in.readString();
        cfStatus = in.readString();
        deptName = in.readString();
        concernUserId = in.readString();
        fanUserId = in.readString();
    }

    public static final Creator<ConcernFans> CREATOR = new Creator<ConcernFans>() {
        @Override
        public ConcernFans createFromParcel(Parcel in) {
            return new ConcernFans(in);
        }

        @Override
        public ConcernFans[] newArray(int size) {
            return new ConcernFans[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(id);
        parcel.writeString(avatar);
        parcel.writeString(userName);
        parcel.writeString(phone);
        parcel.writeString(sex);
        parcel.writeString(userType);
        parcel.writeString(cfStatus);
        parcel.writeString(deptName);
        parcel.writeString(concernUserId);
        parcel.writeString(fanUserId);
    }
}
