package com.kanglai.push.entity;

import java.io.Serializable;

import lombok.Data;
import lombok.experimental.Accessors;
import me.yokeyword.indexablerv.IndexableEntity;

/**
 * 公司 | 普通用户
 * @Author: liusixiang007
 * @since: 2023/4/10
 */
@Data
@Accessors
public class LinkEntity implements IndexableEntity, Serializable {

    private String id;
    /** 名字、公司名 */
    private String name;
    /** 电话 */
    private String phone;
    /** 用户昵称 */
    private String nikeName;
    /** 头像 */
    private String avatar;
    /** 公司地址 */
    private String detailedAddress;
    /** 所属部门 */
    private String deptName;
    /** 用户类型*/
    private String userType;
    /** 是否为公司 */
    private boolean isFirm;
    private String pinyin;  // 排序
    public LinkEntity(){}
    public LinkEntity(String id, String name, String phone, String nikeName, String avatar, String detailedAddress, String deptName, Boolean isFirm){
        this.id = id;
        this.name = name;
        this.phone = phone;
        this.nikeName = nikeName;
        this.avatar = avatar;
        this.detailedAddress = detailedAddress;
        this.isFirm = isFirm;
        this.deptName = deptName;
    }
    @Override
    public String getFieldIndexBy() {
        return name;
    }

    @Override
    public void setFieldIndexBy(String indexField) {
        this.name = indexField;
    }

    @Override
    public void setFieldPinyinIndexBy(String pinyin) {
        /** 需要用到拼音时(比如:搜索), 可增添pinyin字段 this.pinyin  = pinyin */
        this.pinyin = pinyin;
    }
}
