package com.kanglai.push.entity;

import android.os.Parcel;
import android.os.Parcelable;

import com.kanglai.push.util.TimeFormatUtil;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 本地推送消息缓存
 * @Author: liusixiang007
 * @since: 2023/4/25
 */
@Data
@Accessors
public class LocalPushChatMsg implements Parcelable {

    /** fanUserId */
    public String id;
    /** 用户名 */
    public String userName;
    /** 用户类型 '系统管理员'0，'普通用户'1，'企业用户'2，'收样员'3，'客服'4，'企业内部用户'5 */
    public String userType;
    /** 头像 */
    public String avatar;
    /** 最后一条消息内容 */
    public String lastContent;
    /** 发送时间 */
    public String sendTime;
    /** 关注状态 1-从关注列表进入聊天室*/
    public String focusType;
    /** 当前消息是否已读 0已读1未读*/
    public String isRead = "0";
    public Boolean pinned = false;  // 偏移量

    public LocalPushChatMsg(){}


    public LocalPushChatMsg(String id, String avatar, String userName,String userType, String isRead){
        this.id = id;
        this.avatar = avatar;
        this.userName = userName;
        this.userType = userType;
        this.isRead = isRead;
    }
    public LocalPushChatMsg(String id, String userName, String userType, String avatar, String sendTime, String lastContent, String isRead){
        this.id = id;
        this.avatar = avatar;
        this.sendTime = sendTime;
        this.userName = userName;
        this.userType = userType;
        this.isRead = isRead;
        this.lastContent = lastContent;
    }
    protected LocalPushChatMsg(Parcel in) {
        id = in.readString();
        userName = in.readString();
        avatar = in.readString();
        lastContent = in.readString();
        sendTime = in.readString();
        userType = in.readString();
        focusType = in.readString();
        isRead = in.readString();
    }

    public static final Creator<LocalPushChatMsg> CREATOR = new Creator<LocalPushChatMsg>() {
        @Override
        public LocalPushChatMsg createFromParcel(Parcel in) {
            return new LocalPushChatMsg(in);
        }

        @Override
        public LocalPushChatMsg[] newArray(int size) {
            return new LocalPushChatMsg[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(id);
        parcel.writeString(userName);
        parcel.writeString(avatar);
        parcel.writeString(lastContent);
        parcel.writeString(sendTime);
        parcel.writeString(userType);
        parcel.writeString(focusType);
        parcel.writeString(isRead);
    }
}
