package com.kanglai.push.entity;

import android.os.Parcel;
import android.os.Parcelable;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 聊天消息表
 * @Author: liusixiang007
 * @since: 2023/3/30
 */
@Data
@Accessors
public class PushChatMessage implements Parcelable {


    /** 主键id */
    private String id;
    /** 推送方用户id */
    private String userId;
    /** 消息类型 */
    private String type;
    /** 消息状态 0-需要审核 1-未读 2-已读 */
    private String status;
    /** 推送类型id */
    private String pushTypeId;
    /** 别名类型 */
    private String aliasType;
    /** 别名,多个alias以英文逗号间隔 */
    private String alias;
    /** 消息显示类型 */
    private String displayType;
    /** 通知标题 */
    private String title;
    /** 通知文字描述 */
    private String text;
    /** 自定义通知声音 R.raw.[sound] */
    private String sound;
    /** 收到通知是否震动 */
    private String playVibrate;
    /** 收到通知是否闪灯 */
    private String playLights;
    /** 收到通知是否发出声音 */
    private String playSound;
    /** 文字转语音 */
    private String playToText;
    /** 在线铃声 */
    private String onlineRingtone;
    /** 自定义活动点击跳转内容 */
    private String custom;
    /** 关注粉丝状态*/
    private String concernFanStatus;
    private String viewStatus;
    private String createByName;
    private String updateByName;
    private String updateTime;
    private String updateById;
    private String createTime;
    private String createById;
    private String remarks;

    public PushChatMessage() {

    }

    protected PushChatMessage(Parcel in) {
        id = in.readString();
        userId = in.readString();
        type = in.readString();
        status = in.readString();
        pushTypeId = in.readString();
        aliasType = in.readString();
        alias = in.readString();
        displayType = in.readString();
        title = in.readString();
        text = in.readString();
        sound = in.readString();
        playVibrate = in.readString();
        playLights = in.readString();
        playSound = in.readString();
        playToText = in.readString();
        onlineRingtone = in.readString();
        custom = in.readString();
        concernFanStatus = in.readString();
        viewStatus = in.readString();
        createByName = in.readString();
        updateByName = in.readString();
        updateTime = in.readString();
        updateById = in.readString();
        createTime = in.readString();
        createById = in.readString();
        remarks = in.readString();
    }

    public static final Creator<PushChatMessage> CREATOR = new Creator<PushChatMessage>() {
        @Override
        public PushChatMessage createFromParcel(Parcel in) {
            return new PushChatMessage(in);
        }

        @Override
        public PushChatMessage[] newArray(int size) {
            return new PushChatMessage[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(id);
        parcel.writeString(userId);
        parcel.writeString(type);
        parcel.writeString(status);
        parcel.writeString(pushTypeId);
        parcel.writeString(aliasType);
        parcel.writeString(alias);
        parcel.writeString(displayType);
        parcel.writeString(title);
        parcel.writeString(text);
        parcel.writeString(sound);
        parcel.writeString(playVibrate);
        parcel.writeString(playLights);
        parcel.writeString(playSound);
        parcel.writeString(playToText);
        parcel.writeString(onlineRingtone);
        parcel.writeString(custom);
        parcel.writeString(concernFanStatus);
        parcel.writeString(viewStatus);
        parcel.writeString(createByName);
        parcel.writeString(updateByName);
        parcel.writeString(updateTime);
        parcel.writeString(updateById);
        parcel.writeString(createTime);
        parcel.writeString(createById);
        parcel.writeString(remarks);
    }
}
