package com.kanglai.push.entity;

import com.dolphin.core.entity.CommonEntity;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 推送消息
 * @Author: liusixiang007
 * @since: 2023/3/10
 */

@Data
@Accessors
public class PushMessage extends CommonEntity {

    public String id;
    /** 发送方用户id */
    public String fromUserId;
    /** 消息类型 */
    public String type;
    /** 自定义推送类型ID */
    public String customTypeId;
    /** 消息状态 0-未读 1-已读 */
    public String status;
    /** 别名类型 */
    public String aliasType;
    /** 别名,多个alias以英文逗号间隔 */
    public String alias;
    /** 消息显示类型 */
    public String displayType;
    /** 通知标题 */
    public String title;
    /** 通知文字描述 */
    public String text;
    /** 自定义通知声音 R.raw.[sound] */
    public String sound;
    /** 收到通知是否震动 */
    public String playVibrate;
    /** 收到通知是否闪灯 */
    public String playLights;
    /** 收到通知是否发出声音 */
    public String playSound;
    /** 自定义播放文件名称 */
    public String customPlayFileName;
    /** 自定义活动点击跳转内容 */
    public String custom;
    /** app发送密钥 */
    public String messageSecret;

}
