package com.kanglai.push.entity;

import android.os.Parcel;
import android.os.Parcelable;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * SSO用户表
 * @Author: liusixiang007
 * @since: 2024/1/9
 */

@Data
@Accessors
public class SsoUser implements Parcelable {

    private String id;

    /** 邮箱 */
    private String email;

    /** 头像 */
    private String avatar;

    /** 用户类型 */
    private String identityProvider;

    /** 登录ip */
    private String loginIp;

    /** 登录时间 */
    private String loginTime;

    /** 新密码 */
    private String newPassword;

    /** 昵称 */
    private String nickName;

    /** 密码 */
    private String password;

    /** 手机号 */
    private String phone;

    /** 性别 */
    private String sex;     // 0 男 1 女

    /** 状态 */
    private String status;

    /** 多租户id */
    private String tenantId;

    /** 用户名 */
    private String userName;

    public SsoUser(){}

    public SsoUser(String id, String sex, String nickName){
        this.id = id;
        this.sex = sex;
        this.nickName = nickName;
    }

    protected SsoUser(Parcel in) {
        id = in.readString();
        email = in.readString();
        avatar = in.readString();
        identityProvider = in.readString();
        loginIp = in.readString();
        loginTime = in.readString();
        newPassword = in.readString();
        nickName = in.readString();
        password = in.readString();
        phone = in.readString();
        sex = in.readString();
        status = in.readString();
        tenantId = in.readString();
        userName = in.readString();
    }

    public static final Creator<SsoUser> CREATOR = new Creator<SsoUser>() {
        @Override
        public SsoUser createFromParcel(Parcel in) {
            return new SsoUser(in);
        }

        @Override
        public SsoUser[] newArray(int size) {
            return new SsoUser[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(id);
        parcel.writeString(email);
        parcel.writeString(avatar);
        parcel.writeString(identityProvider);
        parcel.writeString(loginIp);
        parcel.writeString(loginTime);
        parcel.writeString(newPassword);
        parcel.writeString(nickName);
        parcel.writeString(password);
        parcel.writeString(phone);
        parcel.writeString(sex);
        parcel.writeString(status);
        parcel.writeString(tenantId);
        parcel.writeString(userName);
    }
}
