package com.kanglai.push.mapper;

import com.dolphin.core.http.api.ResultResponse;
import com.kanglai.push.entity.ConcernFan;
import com.kanglai.push.entity.PushBlacklist;
import com.kanglai.push.entity.PushEnterprise;
import com.kanglai.push.entity.PushType;

import java.util.List;
import java.util.Map;

import io.reactivex.Observable;
import retrofit2.http.Body;
import retrofit2.http.DELETE;
import retrofit2.http.GET;
import retrofit2.http.POST;
import retrofit2.http.PUT;
import retrofit2.http.Path;
import retrofit2.http.Query;
import retrofit2.http.QueryMap;

/**
 * 联系人api
 * @Author: liusixiang007
 * @since: 2023/4/4
 */
public interface LinkMapper {


    /** 获取好友列表 */
    @GET("/common_proxy/common/pushConcernFan/listFriend")
    Observable<ResultResponse<List<ConcernFan>>> getFriendList(@QueryMap Map<String, Object> fields);

    /** 粉丝管理 */
    @GET("/common_proxy/common/pushConcernFan/list")
    Observable<ResultResponse<List<ConcernFan>>> getFanList(@QueryMap Map<String, Object> fields);

    @GET("/common_proxy/common/pushConcernFan/getById")
    Observable<ResultResponse<ConcernFan>> getFansById(@Query("id") String id);

    @DELETE("/common_proxy/common/pushConcernFan/remove/{id}")
    Observable<ResultResponse> removeFans(@Path("id")String id);

    /** 企业列表 */
    @GET("/common_proxy/common/pushEnterprise/list")
    Observable<ResultResponse<List<PushEnterprise>>> getEnterpriseList(@QueryMap Map<String, Object> fields);

    /** 好友管理-单向关注 */
    @POST("/common_proxy/common/pushConcernFan/save")
    Observable<ResultResponse> attentionUserSave(@Body Map<String, Object> fields);

    /** 通过(2)/驳回(-1)审核申请*/
    @PUT("/common_proxy/common/pushConcernFan/updateAuditStatus/{id}/{type}")
    Observable<ResultResponse> updateAuditStatus(@Path("id")String id,@Path("type")String type);

    /** 黑名单*/
    @GET("/common_proxy/common/pushBlacklist/list")
    Observable<ResultResponse<List<PushBlacklist>>> getPushBlacklist(@QueryMap Map<String, Object> fields);

    /** 移除黑名单中目标用户*/
    @DELETE("/common_proxy/common/pushBlacklist/remove/{id}")
    Observable<ResultResponse> removePushBlack(@Path("id")String id);

    /** 将用户拉黑 fanUserId、concernUserId */
    @POST("common_proxy/common/pushBlacklist/save")
    Observable<ResultResponse> addPushBlack(@Body Map<String, Object> fields);

    /**加载关注用户的推送类型列表*/
    @GET("common_proxy/common/pushConcernFanType/list")
    Observable<ResultResponse<List<PushType>>> getFocusPushTypeList(@QueryMap Map<String, Object> fields);

    /**设置指定用户的默认推送类型*/
    @PUT("common_proxy/common/pushConcernFanType/setDefaultType")
    Observable<ResultResponse> setConcernFanDefaultType(@Body Map<String, String> fields);
}
