package com.kanglai.push.mapper;

import com.dolphin.core.entity.KiccUser;
import com.dolphin.core.http.api.ResultResponse;
import com.kanglai.push.entity.SsoUser;
import com.kanglai.push.entity.TokenEnhancer;
import com.kanglai.push.entity.User;

import java.util.Map;

import io.reactivex.Observable;
import retrofit2.http.Body;
import retrofit2.http.DELETE;
import retrofit2.http.FieldMap;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.GET;
import retrofit2.http.Headers;
import retrofit2.http.POST;
import retrofit2.http.PUT;
import retrofit2.http.Path;
import retrofit2.http.QueryMap;

/**
 *<p>
 * 登录api
 *</p>
 *
 * @Author: entfrm开发团队-王翔
 * @Date: 2022/6/28
 */
public interface LoginMapper {

    @POST("auth_proxy/oauth/token")
    @FormUrlEncoded
    @Headers({
        "Content-Type: application/x-www-form-urlencoded; charset=utf-8",
        "Authorization: Basic a2ljY19ub3RpZnlfYXBwOmtpY2Nfbm90aWZ5X2FwcA=="
    })
    Observable<TokenEnhancer> login(@FieldMap Map<String, String> fields);

    @DELETE("auth_proxy/token/logout")
    Observable<ResultResponse> logout();

    @GET("system_proxy/system/user/info")
    Observable<ResultResponse<User>> getUserInfo();

    @GET("system_proxy/system/app/sendSmsCode/{phone}")
    Observable<ResultResponse> sendSmsCode(@Path("phone")String phone);

    @GET("system_proxy/system/app/phoneRegister")
    Observable<ResultResponse<User>> getPhoneRegister(@QueryMap Map<String, Object> fields);

    @PUT("system_proxy/system/ssoUser/update")
    Observable<ResultResponse> updateSsoUser(@Body SsoUser ssoUser);
}
