package com.kanglai.push.mapper;

import com.dolphin.core.entity.OssFile;
import com.dolphin.core.http.api.ResultResponse;
import com.kanglai.push.entity.PushMessage;
import com.kanglai.push.entity.PushRecordEntity;
import com.kanglai.push.entity.PushUserManage;

import java.util.List;
import java.util.Map;

import io.reactivex.Observable;
import retrofit2.http.GET;
import retrofit2.http.Path;
import retrofit2.http.QueryMap;

/**
 *<p>
 * 消息api
 *</p>
 *
 * @Author: wangxiang4
 * @since: 2023/2/2
 */
public interface MessageMapper {

    @GET("system_proxy/system/file/list")
    Observable<ResultResponse<List<OssFile>>> listMessage(@QueryMap Map<String, Object> fields);

    /** 推送自定义通知类型 */
    @GET("/common_proxy/common/pushCustomType/{id}")
    Observable<ResultResponse<PushRecordEntity>> getMsgById(@Path("id")String id);
    @GET("/common_proxy/common/pushCustomType/list")
    Observable<ResultResponse<List<PushRecordEntity>>> getList(@QueryMap Map<String, Object> fields);

    /** 消息列表 */
    @GET("/common_proxy/common/pushMessage/list")
    Observable<ResultResponse<List<PushMessage>>> getPushMessage(@QueryMap Map<String, Object> fields);
    @GET("/common_proxy/common/pushMessage/{id}")
    Observable<ResultResponse<PushMessage>> getPushMessageById(@Path("id")String id);


    /** 联系人列表 */
    @GET("/common_proxy/common/pushUserManage/list")
    Observable<ResultResponse<List<PushUserManage>>> getPushUsers(@QueryMap Map<String, Object> fields);
    @GET("/common_proxy/common/pushUserManage/{id}")
    Observable<ResultResponse<PushUserManage>> getPushUserById(@Path("id")String id);
}
