package com.kanglai.push.mapper;

import com.dolphin.core.http.api.ResultResponse;
import com.kanglai.push.entity.MsgVo;
import com.kanglai.push.entity.PushChatMessage;
import com.kanglai.push.entity.PushType;
import com.kanglai.push.entity.ResultVo;
import com.kanglai.push.entity.SystemUser;
import com.kanglai.push.entity.User;

import java.util.List;
import java.util.Map;

import io.reactivex.Observable;
import retrofit2.http.Body;
import retrofit2.http.GET;
import retrofit2.http.Headers;
import retrofit2.http.POST;
import retrofit2.http.PUT;
import retrofit2.http.Path;
import retrofit2.http.QueryMap;

/**
 * 推送api
 * @Author: liusixiang007
 * @since: 2023/3/30
 */
public interface PushMapper {

    /** 推送聊天记录-分页查询 */
    @GET("common_proxy/common/pushChatMessage/listFriendHistoryMessage")
    Observable<ResultResponse<MsgVo>> listFriendHistoryMessage(@QueryMap Map<String, Object> fields);

    /** 聊天室简单聊天通讯 */
    @Headers({ "Content-Type: application/json" })
    @POST("common_proxy/common/pushConcernFan/concernFanSend")
    Observable<ResultResponse> concernFanSend(@Body PushChatMessage pushChatMessage);

    /** 加载用户数据 */
    @GET("system_proxy/system/user/{id}")
    Observable<ResultResponse<ResultVo<SystemUser>>> getUserById(@Path("id")String id);

    /** 每个用户自己的推送类型列表*/
    @GET("common_proxy/common/pushType/list")
    Observable<ResultResponse<List<PushType>>> getPushTypeList(@QueryMap Map<String, Object> fields);

    /** 设置默认的推送类型*/
    @PUT("common_proxy/common/pushType/setDefaultType")
    Observable<ResultResponse> setDefaultType(@Body Map<String, String> fields);

    /** 新增推送类型 */
    @Headers({ "Content-Type: application/json" })
    @POST("common_proxy/common/pushType/save")
    Observable<ResultResponse> savePushType(@Body PushType pushType);

    @PUT("common_proxy/common/pushType/update")
    Observable<ResultResponse> updatePushType(@Body PushType pushType);

    @GET("system_proxy/system/user/info")
    Observable<ResultResponse<User>> getUserInfo();
}
