package com.kanglai.push.service.Impl;

import com.blankj.utilcode.util.Utils;
import com.dolphin.core.http.api.ResultResponse;
import com.kanglai.push.app.AppApplication;
import com.kanglai.push.di.component.DaggerMapperComponent;
import com.kanglai.push.entity.ConcernFan;
import com.kanglai.push.entity.PushBlacklist;
import com.kanglai.push.entity.PushEnterprise;
import com.kanglai.push.entity.PushType;
import com.kanglai.push.mapper.LinkMapper;
import com.kanglai.push.service.LinkService;

import java.util.List;
import java.util.Map;

import javax.inject.Inject;

import io.reactivex.Observable;

/**
 *
 * 联系人服务实现
 *
 * @Author: liusixiang007
 * @since: 2023/4/4
 */
public class LinkServiceImpl implements LinkService {

    @Inject
    LinkMapper linkMapper;

    public LinkServiceImpl() {
        DaggerMapperComponent
                .builder()
                .appComponent(((AppApplication) Utils.getApp().getApplicationContext()).appComponent)
                .build().inject(this);
    }

    @Override
    public Observable<ResultResponse<List<ConcernFan>>> getFriendList(Map<String, Object> fields) {
        return linkMapper.getFriendList(fields);
    }

    @Override
    public Observable<ResultResponse<List<ConcernFan>>> getFanList(Map<String, Object> fields) {
        return linkMapper.getFanList(fields);
    }

    @Override
    public Observable<ResultResponse<ConcernFan>> getFansById(String id) {
        return linkMapper.getFansById(id);
    }

    @Override
    public Observable<ResultResponse> removeFans(String id) {
        return linkMapper.removeFans(id);
    }

    @Override
    public Observable<ResultResponse<List<PushEnterprise>>> getEnterpriseList(Map<String, Object> fields) {
        return linkMapper.getEnterpriseList(fields);
    }

    @Override
    public Observable<ResultResponse> attentionUserSave(Map<String, Object> fields) {
        return linkMapper.attentionUserSave(fields);
    }

    @Override
    public Observable<ResultResponse> updateAuditStatus(String id, String type) {
        return linkMapper.updateAuditStatus(id, type);
    }

    @Override
    public Observable<ResultResponse<List<PushBlacklist>>> getPushBlacklist(Map<String, Object> fields) {
        return linkMapper.getPushBlacklist(fields);
    }

    @Override
    public Observable<ResultResponse> removePushBlack(String id) {
        return linkMapper.removePushBlack(id);
    }

    @Override
    public Observable<ResultResponse> addPushBlack(Map<String, Object> fields) {
        return linkMapper.addPushBlack(fields);
    }

    @Override
    public Observable<ResultResponse<List<PushType>>> getFocusPushTypeList(Map<String, Object> fields) {
        return linkMapper.getFocusPushTypeList(fields);
    }

    @Override
    public Observable<ResultResponse> setConcernFanDefaultType(Map<String, String> fields) {
        return linkMapper.setConcernFanDefaultType(fields);
    }

}
