package com.kanglai.push.service.Impl;

import com.blankj.utilcode.util.Utils;
import com.dolphin.core.entity.OssFile;
import com.dolphin.core.http.api.ResultResponse;
import com.kanglai.push.app.AppApplication;
import com.kanglai.push.di.component.DaggerMapperComponent;
import com.kanglai.push.entity.PushMessage;
import com.kanglai.push.entity.PushRecordEntity;
import com.kanglai.push.entity.PushUserManage;
import com.kanglai.push.mapper.MessageMapper;
import com.kanglai.push.service.MessageService;

import java.util.List;
import java.util.Map;

import javax.inject.Inject;

import io.reactivex.Observable;

/**
 *<p>
 * 消息服务实现
 *</p>
 *
 * @Author: wangxiang4
 * @since: 2023/2/2
 */
public class MessageServiceImpl implements MessageService {

    @Inject
    MessageMapper messageMapper;

    public MessageServiceImpl() {
            DaggerMapperComponent
                .builder()
                .appComponent(((AppApplication)Utils.getApp().getApplicationContext()).appComponent)
                .build().inject(this);
    }

    @Override
    public Observable<ResultResponse<List<OssFile>>> listMessage(Map<String, Object> fields) {
        return messageMapper.listMessage(fields);
    }

    @Override
    public Observable<ResultResponse<List<PushRecordEntity>>> getList(Map<String, Object> fields) {
        return messageMapper.getList(fields);
    }

    @Override
    public Observable<ResultResponse<PushRecordEntity>> getMsgById(String id) {
        return messageMapper.getMsgById(id);
    }

    @Override
    public Observable<ResultResponse<List<PushMessage>>> getPushMessage(Map<String, Object> fields) {
        return messageMapper.getPushMessage(fields);
    }

    @Override
    public Observable<ResultResponse<PushMessage>> getPushMessageById(String id) {
        return messageMapper.getPushMessageById(id);
    }

    @Override
    public Observable<ResultResponse<List<PushUserManage>>> getPushUsers(Map<String, Object> fields) {
        return messageMapper.getPushUsers(fields);
    }

    @Override
    public Observable<ResultResponse<PushUserManage>> getPushUserById(String id) {
        return messageMapper.getPushUserById(id);
    }


}
