package com.kanglai.push.service.Impl;

import com.blankj.utilcode.util.Utils;
import com.dolphin.core.http.api.ResultResponse;
import com.kanglai.push.app.AppApplication;
import com.kanglai.push.di.component.DaggerMapperComponent;
import com.kanglai.push.entity.MsgVo;
import com.kanglai.push.entity.PushChatMessage;
import com.kanglai.push.entity.PushType;
import com.kanglai.push.entity.ResultVo;
import com.kanglai.push.entity.SystemUser;
import com.kanglai.push.entity.User;
import com.kanglai.push.mapper.PushMapper;
import com.kanglai.push.service.PushService;

import java.util.List;
import java.util.Map;

import javax.inject.Inject;

import io.reactivex.Observable;

/**
 * 推送服务实现
 * @Author: liusixiang007
 * @since: 2023/3/30
 */
public class PushServiceImpl implements PushService {

    @Inject
    PushMapper pushMapper;

    public PushServiceImpl() {
        DaggerMapperComponent
                .builder()
                .appComponent(((AppApplication) Utils.getApp().getApplicationContext()).appComponent)
                .build().inject(this);
    }

    @Override
    public Observable<ResultResponse<MsgVo>> listFriendHistoryMessage(Map<String, Object> fields) {
        return pushMapper.listFriendHistoryMessage(fields);
    }

    @Override
    public Observable<ResultResponse> concernFanSend(PushChatMessage pushChatMessage) {
        return pushMapper.concernFanSend(pushChatMessage);
    }

    @Override
    public Observable<ResultResponse<ResultVo<SystemUser>>> getUserById(String id) {
        return pushMapper.getUserById(id);
    }

    @Override
    public Observable<ResultResponse<List<PushType>>> getPushTypeList(Map<String, Object> fields) {
        return pushMapper.getPushTypeList(fields);
    }

    @Override
    public Observable<ResultResponse> setDefaultType(Map<String, String> fields) {
        return pushMapper.setDefaultType(fields);
    }

    @Override
    public Observable<ResultResponse> savePushType(PushType pushType) {
        return pushMapper.savePushType(pushType);
    }

    @Override
    public Observable<ResultResponse> updatePushType(PushType pushType) {
        return pushMapper.updatePushType(pushType);
    }

    @Override
    public Observable<ResultResponse<User>> getUserInfo() {
        return pushMapper.getUserInfo();
    }
}
