package com.kanglai.push.service;

import com.dolphin.core.http.api.ResultResponse;
import com.kanglai.push.entity.ConcernFan;
import com.kanglai.push.entity.PushBlacklist;
import com.kanglai.push.entity.PushEnterprise;
import com.kanglai.push.entity.PushType;

import java.util.List;
import java.util.Map;

import io.reactivex.Observable;

/**
 * 联系人服务
 * @Author: liusixiang007
 * @since: 2023/4/4
 */
public interface LinkService{
    /** 推送关注粉丝-列表 */
    Observable<ResultResponse<List<ConcernFan>>> getFriendList(Map<String, Object> fields);

    /**
     *  status  2通过|1审核中
     * 查询粉丝 concernUserId = “当前用户自身id” dynamicJoinType=1 粉丝连表
     * 查询关注用户 fanUserId = “当前自身用户id”
     * @param fields
     * @return
     */
    Observable<ResultResponse<List<ConcernFan>>> getFanList(Map<String, Object> fields);

    /** 获取粉丝详情 */
    Observable<ResultResponse<ConcernFan>> getFansById(String id);

    /** 移除粉丝 */
    Observable<ResultResponse> removeFans(String id);

    /** 获取企业列表 */
    Observable<ResultResponse<List<PushEnterprise>>> getEnterpriseList(Map<String, Object> fields);

    /** 好友管理-关注 */
    Observable<ResultResponse> attentionUserSave(Map<String, Object> fields);

    /** 通过(2)/驳回(-1)审核申请 */
    Observable<ResultResponse> updateAuditStatus(String id,String type);

    /** 黑名单列表*/
    Observable<ResultResponse<List<PushBlacklist>>> getPushBlacklist(Map<String, Object> fields);

    /** 移除黑名单中的用户*/
    Observable<ResultResponse> removePushBlack(String id);

    /** 将用户拉黑 fanUserId、concernUserId */
    Observable<ResultResponse> addPushBlack(Map<String, Object> fields);

    /** 加载关注用户的推送类型列表*/
    Observable<ResultResponse<List<PushType>>> getFocusPushTypeList(Map<String, Object> fields);

    /**设置指定用户的默认推送类型*/
    Observable<ResultResponse> setConcernFanDefaultType(Map<String, String> fields);
}
