package com.kanglai.push.service;

import com.dolphin.core.entity.KiccUser;
import com.dolphin.core.http.api.ResultResponse;
import com.kanglai.push.entity.SsoUser;
import com.kanglai.push.entity.TokenEnhancer;
import com.kanglai.push.entity.User;

import java.util.Map;

import io.reactivex.Observable;

/**
 *<p>
 * 登录服务
 *</p>
 *
 * @Author: entfrm开发团队-王翔
 * @Date: 2022/6/28
 */
public interface LoginService {

    /** 用户登录 - 真正的登录 用户名、密码、租户id、用户类型 实现真正的登录 */
    Observable<TokenEnhancer> login(KiccUser user,String identityProvider, String tenantId);

    /** 用户登出 */
    Observable<ResultResponse> logout();

    /** 获取用户信息 */
    Observable<ResultResponse<User>> getUserInfo();

    /** 更具手机号发送验证码 */
    Observable<ResultResponse> sendSmsCode(String phone);

    /** 通过 手机号、验证码、用户类型、租户id 获取用户登录信息（用户看到的登录） */
    Observable<ResultResponse<User>> getPhoneRegister(Map<String, Object> fields);

    /** 更新用户信息 */
    Observable<ResultResponse> updateSsoUser(SsoUser ssoUser);
}
