package com.kanglai.push.service;

import com.dolphin.core.entity.OssFile;
import com.dolphin.core.http.api.ResultResponse;
import com.kanglai.push.entity.PushMessage;
import com.kanglai.push.entity.PushRecordEntity;
import com.kanglai.push.entity.PushUserManage;

import java.util.List;
import java.util.Map;

import io.reactivex.Observable;

/**
 *<p>
 * 消息服务
 *</p>
 *
 * @Author: wangxiang4
 * @since: 2023/2/2
 */
public interface MessageService {

    /** 查询消息列表（测试） */
    Observable<ResultResponse<List<OssFile>>> listMessage(Map<String, Object> fields);

    /** 自定义通知推送记录 */
    Observable<ResultResponse<PushRecordEntity>> getMsgById(String id);
    Observable<ResultResponse<List<PushRecordEntity>>> getList(Map<String, Object> fields);

    /** 分页查询 消息列表 */
    Observable<ResultResponse<List<PushMessage>>> getPushMessage(Map<String, Object> fields);
    Observable<ResultResponse<PushMessage>> getPushMessageById(String id);

    /** 好友列表 */
    Observable<ResultResponse<List<PushUserManage>>> getPushUsers(Map<String, Object> fields);
    Observable<ResultResponse<PushUserManage>> getPushUserById(String id);
}
