package com.kanglai.push.service;

import com.dolphin.core.http.api.ResultResponse;
import com.kanglai.push.entity.MsgVo;
import com.kanglai.push.entity.PushChatMessage;
import com.kanglai.push.entity.PushType;
import com.kanglai.push.entity.ResultVo;
import com.kanglai.push.entity.SystemUser;
import com.kanglai.push.entity.User;

import java.util.List;
import java.util.Map;

import io.reactivex.Observable;
import retrofit2.http.Body;
import retrofit2.http.FieldMap;

/**
 * 推送服务
 * @Author: liusixiang007
 * @since: 2023/3/30
 */
public interface PushService {

    /** 推送聊天记录-分页查询 alias-接收方 userId-发送方 分页/每页大小 */
    Observable<ResultResponse<MsgVo>> listFriendHistoryMessage(Map<String, Object> fields);

    /** 聊天室简单聊天通讯 */
    Observable<ResultResponse> concernFanSend(@Body PushChatMessage pushChatMessage);

    /** 加载用户数据 */
    Observable<ResultResponse<ResultVo<SystemUser>>> getUserById(String id);

    /** 每个用户自己的推送类型列表*/
    Observable<ResultResponse<List<PushType>>> getPushTypeList(Map<String, Object> fields);

    /** 设置默认推送类型*/
    Observable<ResultResponse> setDefaultType(Map<String, String> fields);

    /** 新增推送类型*/
    Observable<ResultResponse> savePushType(PushType pushType);

    /** 更新推送类型*/
    Observable<ResultResponse> updatePushType(PushType pushType);

    /** 获取用户信息 */
    Observable<ResultResponse<User>> getUserInfo();
}
