package com.kanglai.push.ui.activity;

import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.dolphin.core.base.BaseActivity;
import com.kanglai.push.BR;
import com.kanglai.push.R;
import com.kanglai.push.databinding.ActivityAddMessageBinding;
import com.kanglai.push.ui.vm.AddAttentionViewModel;
import com.kongzue.dialogx.dialogs.BottomMenu;
import com.kongzue.dialogx.interfaces.OnMenuItemSelectListener;

/**
 * 用户关注企业
 * @Author: liusixiang007
 * @since: 2023/3/4
 */
public class AddAttentionActivity extends BaseActivity<ActivityAddMessageBinding, AddAttentionViewModel> {

    public ImageView attention_avatar;
    public TextView attention_name;
    public ImageView attention_logo;
    public TextView attention_text;
    public LinearLayout hint_layout;
    public TextView hint_text;
    public int selectMsgType = 0;
    public TextView enterprise_introduce;
    public LinearLayout btn_attention;
    public Boolean attentionBtnType = false;    // 关注按钮状态

    @Override
    public int setContentView(Bundle savedInstanceState) {
        return R.layout.activity_add_attention;
    }

    @Override
    public int setVariableId() {
        return BR.viewModel;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        attention_avatar = findViewById(R.id.avatar);   // 商户头像
        attention_name = findViewById(R.id.enterprise_name);    // 商户名
        attention_logo = findViewById(R.id.attention_icon);     // 关注logo
        attention_text = findViewById(R.id.attention_text);     // 关注文字
        hint_layout = findViewById(R.id.layout_hint);       // 提示列表触发布局
        hint_text = findViewById(R.id.hint_text);       // 提示文字
        enterprise_introduce = findViewById(R.id.enterprise_introduce);     // 商户简介

        hint_layout.setOnClickListener(new View.OnClickListener() {
            int[] list = new int[0];
            @Override
            public void onClick(View view) {
                BottomMenu.show(new String[]{"默认(APP铃声)","震动","APP弹窗","语音播报","自定义"})
                        .setTitle("消息类型(可多选)")
                        .setMessage("设置接受好友消息的类型-默认为APP提示音")
                        .setOnMenuItemClickListener(new OnMenuItemSelectListener<BottomMenu>() {
                            @Override
                            public boolean onClick(BottomMenu dialog, CharSequence text, int index) {
                                hint_text.setText(text);
                                return super.onClick(dialog, text, index);
                            }
                        })
                        .setSelection(list)
                        .setSingleSelection();
            }
        });

        /** 关注按钮点击事件 */
        btn_attention = findViewById(R.id.btn_attention);
        btn_attention.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                if (attentionBtnType) {  /** 取关 */
                    attention_logo.setImageResource(R.drawable.icon_attention_add);
                    attention_text.setText("关 注");
                }else { /** 关注 */
                    attention_logo.setImageResource(R.drawable.icon_attention_cancel);
                    attention_text.setText("取 关");
                }
                attentionBtnType = !attentionBtnType;
            }
        });

    }
}
