package com.kanglai.push.ui.activity;

import android.content.Intent;
import android.os.Bundle;
import android.text.InputFilter;
import android.view.View;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.dolphin.core.base.BaseActivity;
import com.dolphin.core.util.ToastUtil;
import com.kanglai.push.BR;
import com.kanglai.push.R;
import com.kanglai.push.databinding.ActivityAddLinkBinding;
import com.kanglai.push.entity.LinkEntity;
import com.kanglai.push.ui.vm.AddLinkViewModel;
import com.kanglai.push.util.ViewFilterUtil;
import com.kongzue.dialogx.DialogX;
import com.kongzue.dialogx.dialogs.BottomMenu;
import com.kongzue.dialogx.interfaces.OnMenuItemClickListener;
import com.kongzue.dialogx.interfaces.OnMenuItemSelectListener;

/**
 * 新增用户
 * 暂不做太多界面跳转
 * @Author: liusixiang007
 * @since: 2023/2/23
 */
public class AddLinkActivity extends BaseActivity<ActivityAddLinkBinding, AddLinkViewModel> {

    public LinearLayout btn_set_inform;
    public LinearLayout btn_set_msg_type;
    public TextView tv_way;
    public int[] selectMsgType = new int[]{0};  // 推送消息类型 默认选中第一个
    public int selectMsgWay;   // 通知方式
    public EditText et_apply;   // 申请原因
    public CheckBox cb_while_list;  // 白名单按钮
    public LinkEntity mEntity;

    @Override
    public int setContentView(Bundle savedInstanceState) {
        return R.layout.activity_add_link;
    }

    @Override
    public int setVariableId() {
        return BR.viewModel;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        DialogX.init(this);
        btn_set_inform = findViewById(R.id.layout_02);
        tv_way = findViewById(R.id.tv_inform_way);
        btn_set_msg_type = findViewById(R.id.btn_msg_type);
        et_apply = findViewById(R.id.et_apply);
        et_apply.setFilters(new InputFilter[]{ViewFilterUtil.getNoSpecialCharactersFilter()});  // 去空格、换行符等特殊符号
        cb_while_list = findViewById(R.id.checkbox_01);
        /** 设置通知方式 */
        btn_set_inform.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                BottomMenu.show(new String[]{"公众号", "短信(收费)", "APP内接收"})
                        .setOnMenuItemClickListener(new OnMenuItemClickListener<BottomMenu>() {
                            @Override
                            public boolean onClick(BottomMenu dialog, CharSequence text, int index) {
                                /** 菜单实体、文字、下标 */
                                ToastUtil.showBottom(text);
                                tv_way.setText(text);
                                selectMsgWay = index;
                                return false;
                            }
                        });
            }
        });
        /** 这是消息权限 */
        btn_set_msg_type.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                BottomMenu.show(new String[]{"默认(APP铃声)","震动","APP弹窗","语音播报","自定义"})
                        .setTitle("消息类型(可多选)")
                        .setMessage("设置接受好友消息的类型-默认为APP提示音")
                        .setOnMenuItemClickListener(new OnMenuItemSelectListener<BottomMenu>() {
                            @Override
                            public void onMultiItemSelect(BottomMenu dialog, CharSequence[] text, int[] indexArray) {
                                super.onMultiItemSelect(dialog, text, indexArray);
                                selectMsgType = indexArray;
                            }
                        })
                        .setSelection(selectMsgType);
            }
        });
        Intent intent = this.getIntent();
        mEntity = (LinkEntity) intent.getSerializableExtra(FindUsersActivity.ADD_LINK_BUNDLE);
    }

    /** 提交按钮 */
    public void submitApply(View v){
        // LogUtils.d(et_apply.getText(), cb_while_list.isActivated(), selectMsgType, selectMsgWay);
    }
}
