package com.kanglai.push.ui.activity;

import android.os.Bundle;
import android.text.InputFilter;
import android.view.View;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.dolphin.core.base.BaseActivity;
import com.kanglai.push.BR;
import com.kanglai.push.R;
import com.kanglai.push.databinding.ActivityAddMessageBinding;
import com.kanglai.push.ui.vm.AddMessageViewModel;
import com.kanglai.push.util.ViewFilterUtil;
import com.kongzue.dialogx.dialogs.BottomMenu;
import com.kongzue.dialogx.interfaces.OnMenuItemSelectListener;

/**
 * 新建任务
 * @Author: liusixiang007
 * @since: 2023/3/2
 */
public class AddMessageActivity  extends BaseActivity<ActivityAddMessageBinding, AddMessageViewModel> {

    public ImageView avatar;
    public TextView relation_type;
    public TextView user_name;
    public TextView user_phone;
    public EditText edit_title;
    public EditText edit_content;
    public LinearLayout chose_hint_way;
    public int selectHintWayIndex = 1;
    public TextView hint_font;
    public LinearLayout btn_submit;

    @Override
    public int setContentView(Bundle savedInstanceState) {
        return R.layout.activity_add_message;
    }

    @Override
    public int setVariableId() {
        return BR.viewModel;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        avatar = findViewById(R.id.user_avatar);    // 用户头像
        relation_type = findViewById(R.id.tv_relation_type);    // 用户关系
        user_name = findViewById(R.id.tv_user_name);    // 用户名
        user_phone = findViewById(R.id.tv_user_phone);  // 用户电话
        edit_title = findViewById(R.id.edit_title);     // 消息标题
        edit_content = findViewById(R.id.edit_content);     // 消息内容
        edit_content.setFilters(new InputFilter[]{ViewFilterUtil.getNoSpecialCharactersFilter()});  // 去空格、换行符等特殊符号
        chose_hint_way = findViewById(R.id.chose_hint_way);     // 提示方式
        hint_font = findViewById(R.id.tv_hint_way);
        btn_submit = findViewById(R.id.ll_btn_submit);
        chose_hint_way.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                BottomMenu.show(new String[]{"叮咚(APP默认)","震动","闪光","仅文字提示","静音提示"})
                        .setTitle("设置提示方式")
                        .setOnMenuItemClickListener(new OnMenuItemSelectListener<BottomMenu>() {
                            @Override
                            public boolean onClick(BottomMenu dialog, CharSequence text, int index) {
                                selectHintWayIndex = index;
                                hint_font.setText(text);
                                return super.onClick(dialog, text, index);
                            }
                        })
                        .setSelection(selectHintWayIndex)
                        .setSingleSelection();
            }
        });
        btn_submit.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                /** 提交新建任务表单  */
            }
        });

    }
}
