package com.kanglai.push.ui.activity;

import android.os.Bundle;
import android.webkit.WebView;

import androidx.databinding.library.baseAdapters.BR;

import com.blankj.utilcode.util.StringUtils;
import com.dolphin.core.base.BaseActivity;
import com.kanglai.push.R;
import com.kanglai.push.databinding.ActivityDocumentBinding;
import com.kanglai.push.ui.vm.DocumentViewModel;

/**
 * 隐私政策 / 用户协议
 *
 * @Author: liusixiang007
 * @since: 2024/1/23
 */
public class DocumentActivity extends BaseActivity<ActivityDocumentBinding, DocumentViewModel> {

    public WebView mWebView;    // 网页

    @Override
    public int setContentView(Bundle savedInstanceState) {
        return R.layout.activity_document;
    }

    @Override
    public int setVariableId() {
        return BR.viewModel;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        super.mViewModel.mActivity = this;
        mWebView = findViewById(R.id.web_document);

        String type = getIntent().getStringExtra("DOCUMENT_TYPE");
        if (!StringUtils.isTrimEmpty(type)){
            mViewModel.judgeTit(type);
             if ("0".equals(type)) mWebView.loadUrl("https://h5.kanglailab.com/app/userAgreement");    // 用户协议
            else mWebView.loadUrl("https://h5.kanglailab.com/app/privacyPolicy");     // 隐私政策

            mWebView.requestFocus();    // 获取焦点
            mWebView.getSettings().setJavaScriptEnabled(true);      // 加载js清单
                mWebView.getSettings().setSupportZoom(false);   // 是否支持缩放
            mWebView.getSettings().setDefaultFontSize(12);  // 文字大小
        }
    }

}
