package com.kanglai.push.ui.activity;

import android.os.Bundle;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.databinding.library.baseAdapters.BR;

import com.bumptech.glide.Glide;
import com.bumptech.glide.load.engine.DiskCacheStrategy;
import com.dolphin.core.base.BaseActivity;
import com.kanglai.push.R;
import com.kanglai.push.databinding.ActivityInstantDetailBinding;
import com.kanglai.push.entity.LocalPushChatMsg;
import com.kanglai.push.ui.vm.InstantDetailViewModel;

/**
 * 单人聊天室详情页
 * @Author: liusixiang007
 * @since: 2023/6/28
 */
public class InstantDetailActivity extends BaseActivity<ActivityInstantDetailBinding, InstantDetailViewModel>{

    /*界面控件*/
    public ImageView img_avatar;
    public TextView nickName;

    @Override
    public int setContentView(Bundle savedInstanceState) {
        return R.layout.activity_instant_detail;
    }

    @Override
    public int setVariableId() {
        return BR.viewModel;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        super.mViewModel.mActivity = this;



        /**用户基础信息初始化*/
        img_avatar = findViewById(R.id.instant_detail_avatar);
        nickName = findViewById(R.id.instant_detail_nick_name);

        LocalPushChatMsg targetData = getIntent().getParcelableExtra("FROM_INSTANT");      // 接收跳转过来的值
        if (targetData instanceof LocalPushChatMsg ) {
            nickName.setText(targetData.getUserName());
            Glide.with(getApplicationContext())
                    .load(targetData.getAvatar())
                    .centerCrop()
                    .placeholder(com.kanglai.push.R.color.white)
                    .diskCacheStrategy(DiskCacheStrategy.ALL)
                    .into(img_avatar);
        }
    }
}
