package com.kanglai.push.ui.activity;

import android.content.Intent;
import android.os.Bundle;

import com.blankj.utilcode.util.LogUtils;
import com.kanglai.push.R;
import androidx.databinding.library.baseAdapters.BR;

import com.dolphin.core.base.BaseActivity;
import com.kanglai.push.databinding.ActivityLocationBinding;
import com.kanglai.push.ui.vm.LocationViewModel;

/**
 * 根据广播状态更新用户定位内容
 *
 * @Author: liusixiang007
 * @since: 2024/4/2
 */
public class LocationActivity extends BaseActivity<ActivityLocationBinding, LocationViewModel> {

    @Override
    public int setContentView(Bundle savedInstanceState) {
        return R.layout.activity_location;
    }

    @Override
    public int setVariableId() {
        return BR.viewModel;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Intent mIntent = getIntent();

        LogUtils.d("--LocationActivity 获取的------纬度"+mIntent.getStringExtra("latitude") + "-------------经度" + mIntent.getStringExtra("longitude"));
        // todo 获取到经纬度之后进行 直接上传 上传之后 销毁界面
        if (mIntent != null) mViewModel.loadLocation(mIntent.getStringExtra("latitude"), mIntent.getStringExtra("longitude"));
    }

}
