package com.kanglai.push.ui.activity;


import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.graphics.Color;
import android.os.Process;
import android.text.Spannable;
import android.text.SpannableStringBuilder;
import android.text.style.ForegroundColorSpan;

import com.dolphin.core.BuildConfig;
import com.dolphin.umeng.UmengClient;
import com.kanglai.push.R;
import com.kanglai.push.constant.CacheConstant;
import com.tencent.mmkv.MMKV;
import com.umeng.commonsdk.UMConfigure;
import com.umeng.message.inapp.InAppMessageManager;
import com.umeng.message.inapp.UmengSplashMessageActivity;

/**
 *<p>
 * 飞溅效果引导活动
 *</p>
 *
 * @Author: entfrm开发团队-王翔
 * @since: 2022/11/21
 */
public class SplashActivity extends UmengSplashMessageActivity {

    @Override
    public boolean onCustomPretreatment() {
        if (MMKV.defaultMMKV().getInt(CacheConstant.SOFTWARE_PRIVACY_AGREEMENT_AUTH, 1) == 0) {
            InAppMessageManager mInAppMessageManager = InAppMessageManager.getInstance(SplashActivity.this);
            mInAppMessageManager.setMainActivityPath("com.kanglai.push.ui.activity.LoginActivity");
            return super.onCustomPretreatment();
        } else {
            softwarePrivacyAgreement();
            return true;
        }
    }

    /** 软件隐私协议 */
    private void softwarePrivacyAgreement() {
        SpannableStringBuilder spannable = new SpannableStringBuilder(getResources().getString(R.string.privacy_agreement));
        spannable.setSpan(new ForegroundColorSpan(Color.RED), 31, 39, Spannable.SPAN_EXCLUSIVE_EXCLUSIVE);
        spannable.setSpan(new ForegroundColorSpan(Color.RED), 40, 48, Spannable.SPAN_EXCLUSIVE_EXCLUSIVE);
        AlertDialog builder =new AlertDialog.Builder(this, R.style.alert_dialog_white_background)
                .setTitle("隐私政策")
                .setMessage(spannable)
                .setPositiveButton("同意", (dialogInterface, listener) -> {
                    MMKV.defaultMMKV().putInt(CacheConstant.SOFTWARE_PRIVACY_AGREEMENT_AUTH, 0);
                    // 友盟移动统计,账号统计隐私协议
                    UMConfigure.submitPolicyGrantResult(getApplicationContext(), true);
                    /** 友盟sdk正式初始化*/
                    UmengClient.init(getApplication(), BuildConfig.DEBUG);
                    Intent intent = new Intent(SplashActivity.this, LoginActivity.class);
                    startActivity(intent);
                    finish();
                })
                .setNegativeButton("不同意", (dialogInterface, listener) -> {
                    // 友盟移动统计,账号统计隐私协议
                    UMConfigure.submitPolicyGrantResult(getApplicationContext(), false);
                    // 不同意隐私协议,退出app
                    Process.killProcess(Process.myPid());
                }).show();
        builder.getButton(AlertDialog.BUTTON_POSITIVE).setTextSize(18);
        builder.getButton(DialogInterface.BUTTON_NEGATIVE).setTextSize(18);
    }

}