package com.kanglai.push.ui.adapter;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.kanglai.push.R;

/**
 * 聊天室列表回收列表数据适配器
 * @Author: liusixiang007
 * @since: 2023/6/9
 */
public class ChatRoomListRecyclerAdapter extends RecyclerView.Adapter<ChatRoomListRecyclerAdapter.ViewHolder> {

    protected boolean mOpenAnimationEnable = true;
    protected int mLastPosition = -1;

    @Override
    public int getItemCount() {
        return 0;
    }

    @NonNull
    @Override
    public ViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        final LayoutInflater inflater = LayoutInflater.from(parent.getContext());
        final View v  = inflater.inflate(R.layout.item_chat_room, parent, false);
        return new ViewHolder(v);
    }

    @Override
    public void onBindViewHolder(@NonNull ViewHolder holder, int position) {
        /** 筛选规则 */
    }

    @Override
    public void onViewAttachedToWindow(@NonNull ViewHolder holder) {
        super.onViewAttachedToWindow(holder);
        addAnimate(holder, holder.getLayoutPosition()); // 添加隐藏动画
    }

    private void addAnimate(ViewHolder holder, int position){
        if (mOpenAnimationEnable && mLastPosition < position) {
            holder.itemView.setAlpha(0);
            holder.itemView.animate().alpha(1).start();
            mLastPosition = position;
        }
    }

    protected static class ViewHolder extends RecyclerView.ViewHolder{

        // 每个item包含的控件
        public RelativeLayout left_layout;    // 左侧消息盒子(对方)
        public ImageView left_avatar;   // 左头像
        public TextView left_text;  // 左文字
        public RelativeLayout right_layout;   // 右侧~(我方)
        public ImageView right_avatar;

        public ImageView chatting_left_img;
        public ImageView chatting_right_img;


        public TextView right_text;
        public TextView send_time;  // 发送时间
        public TextView system_msg;     // 系统消息

        public ViewHolder(@NonNull View v) {
            super(v);
            left_layout = v.findViewById(R.id.layout_chatting_left);
            left_avatar = v.findViewById(R.id.iv_avatar_left);
            left_text = v.findViewById(R.id.chatting_left_text);
            right_layout = v.findViewById(R.id.layout_chatting_right);
            right_avatar = v.findViewById(R.id.iv_avatar_right);
            right_text = v.findViewById(R.id.chatting_right_text);
            send_time = v.findViewById(R.id.tv_send_time);

            chatting_left_img = v.findViewById(R.id.chatting_left_img);
            chatting_right_img = v.findViewById(R.id.chatting_right_img);

        }

    }
}
