package com.kanglai.push.ui.adapter;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.recyclerview.widget.RecyclerView;

import com.kanglai.push.R;
import com.kanglai.push.entity.MenuEntity;

import java.util.List;

import me.yokeyword.indexablerv.IndexableHeaderAdapter;

/**
 * 自定义的联系人分类菜单
 * @Author: liusixiang007
 * @since: 2023/2/17
 */
public class MenuClassifyAdapter extends IndexableHeaderAdapter<MenuEntity> {

    private static final int TYPE = 1;

    public MenuClassifyAdapter(String index, String indexTitle, List<MenuEntity> datas) {
        super(index, indexTitle, datas);
    }

    @Override
    public int getItemViewType() {
        return TYPE;
    }

    @Override
    public RecyclerView.ViewHolder onCreateContentViewHolder(ViewGroup parent) {
        return new VH(LayoutInflater.from(parent.getContext()).inflate(R.layout.item_menu_contact, parent, false));
    }

    @Override
    public void onBindContentViewHolder(RecyclerView.ViewHolder holder, MenuEntity entity) {
        // 数据源为null时, 该方法不用实现
        VH vh = (VH) holder;
        vh.title.setText(entity.getMenuTitle());
        vh.logo.setImageResource(entity.getMenuIconRes());
    }

    private class VH extends RecyclerView.ViewHolder {
        /** 标签名 */
        private TextView title;
        /** logo */
        private ImageView logo;

        public VH(View itemView) {
            super(itemView);
            title = (TextView) itemView.findViewById(R.id.tv_title);
            logo = (ImageView) itemView.findViewById(R.id.img);
        }
    }
}
