package com.kanglai.push.ui.fragment;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;

import androidx.annotation.Nullable;

import com.bumptech.glide.Glide;
import com.dolphin.core.base.BaseFragment;
import com.dolphin.core.util.ToastUtil;
import com.kanglai.push.BR;
import com.kanglai.push.R;
import com.kanglai.push.databinding.FragmentWorkbenchBinding;
import com.kanglai.push.ui.vm.WorkbenchViewModel;
import com.stx.xhb.androidx.XBanner;
import com.stx.xhb.androidx.transformers.Transformer;

import java.util.ArrayList;
import java.util.List;

/**
 *<p>
 * 工作台
 *</p>
 *
 * @Author: entfrm开发团队-王翔
 * @Date: 2022/7/15
 */
public class WorkbenchFragment extends BaseFragment<FragmentWorkbenchBinding, WorkbenchViewModel> {

    private LinearLayout btnOa1;
    private LinearLayout btnOa2;
    private LinearLayout btnOa3;
    private LinearLayout btnOa4;

    /** 顶部banner */
    private XBanner mXBanner;

    @Override
    public int setContentView(LayoutInflater inflater, @Nullable ViewGroup parentContainer, @Nullable Bundle savedInstanceState) {
        return R.layout.fragment_workbench;
    }

    @Override
    public int setVariableId() {
        return BR.viewModel;
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Override
    public void onViewCreated(View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
//        ImageView toolbarBack = getView().findViewById(R.id.iv_back);
//        toolbarBack.setVisibility(View.INVISIBLE);
        btnOa1 = getView().findViewById(R.id.btn_oa1);
        btnOa2 = getView().findViewById(R.id.btn_oa2);
        btnOa3 = getView().findViewById(R.id.btn_oa3);
        btnOa4 = getView().findViewById(R.id.btn_oa4);

        /** 工作台四大功能入口 */
        btnOa1.setOnClickListener(v -> {
//            startActivity(AddMessageActivity.class);
            ToastUtil.showBottom("开发中，敬请期待...");
        });
        btnOa2.setOnClickListener(v -> {
            ToastUtil.showBottom("开发中，敬请期待...");
        });
        btnOa3.setOnClickListener(v -> {
            ToastUtil.showBottom("开发中，敬请期待...");
        });
        btnOa4.setOnClickListener(v -> {
            ToastUtil.showBottom("开发中，敬请期待...");
        });
        /** 滚动轮播图控件 */
        mXBanner = (XBanner) getView().findViewById(R.id.xbanner);
        List<Integer> mXBannerList = new ArrayList<>();
        // 加载网络图片 就把list的类型设置为string
        //  mXBannerList.add("https://pic1.zhimg.com/v2-886e2dba494fff222a393afb11e51e04_r.jpg");
        mXBannerList.add(R.drawable.bannar_customer_phone);
        mXBannerList.add(R.drawable.bannar_more_service);
        mXBanner.setData(mXBannerList, null);
        mXBanner.loadImage(new XBanner.XBannerAdapter() {      // 加载广告图片
            @Override
            public void loadBanner(XBanner banner, Object model, View view, int position) {
//                RoundedCorners roundedCorners = new RoundedCorners(10); // 设置图片圆角角度
//                RequestOptions options = RequestOptions.bitmapTransform(roundedCorners);
//                Glide.with(getActivity()).load(mXBannerList.get(position)).apply(options).into((ImageView) view);
                Glide.with(getActivity()).load(mXBannerList.get(position)).into((ImageView) view);
            }
        });
        mXBanner.setOnItemClickListener(new XBanner.OnItemClickListener() {
            @Override
            public void onItemClick(XBanner banner, Object model, View view, int position) {
                 ToastUtil.showBottom("第" + (position + 1) + "图片");
            }
        });
        mXBanner.setPageTransformer(Transformer.Default);
    }

    @Override
    public void onDestroy() {
        super.onDestroy();
    }

}
