package com.kanglai.push.ui.vm;

import android.app.Application;
import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.databinding.ObservableField;
import androidx.lifecycle.LifecycleOwner;

import com.dolphin.core.binding.command.BindingCommand;
import com.kanglai.push.R;
import com.kanglai.push.ui.activity.DocumentActivity;

/**
 *<p>
 *  关于APP
 *</p>
 *
 * @Author: wangxiang4
 * @since: 2022/10/24
 */
public class AboutViewModel extends ToolbarViewModel {

    public ObservableField<String> document01 = new ObservableField("《友信客户端用户协议手册》");
    public ObservableField<String> document02 = new ObservableField("《友信app客户端隐私保护指引》");
    /** 底部文字 */
    public ObservableField<String> tit01 = new ObservableField("客服热线 400-1512-686");
    public ObservableField<String> tit02 = new ObservableField("©2023-2024 康来生物科技有限公司 版权所有 — All Rights Reserved");
    public ObservableField<String> tit03 = new ObservableField("大家的支持是我们工作的动力");

    public AboutViewModel(@NonNull Application application) {
        super(application);
    }

    @Override
    public void onCreate(@NonNull LifecycleOwner owner) {
        super.onCreate(owner);
        super.setTitleText("关于");
    }

    public BindingCommand document01ClickCommand = new BindingCommand(() -> {   // 用户手册
        Bundle bundle = new Bundle();
        bundle.putString("DOCUMENT_TYPE", "0");
        startActivity(DocumentActivity.class,  bundle);
    });

    public BindingCommand document02ClickCommand = new BindingCommand(() -> {   // 隐私政策
        Bundle bundle = new Bundle();
        bundle.putString("DOCUMENT_TYPE", "1");
        startActivity(DocumentActivity.class,  bundle);
    });

}
