package com.kanglai.push.util;

import com.kanglai.push.app.AppApplication;

import com.kanglai.push.R;

import java.util.Random;

/**
 * 获取随机取名
 * @Author: liusixiang007
 * @since: 2024/1/9
 */
public class RandomUtil {

    /**
     * 随机获取一个名字
     * @param simple 是否单姓
     * @param len  名字长度
     * @return
     */
    public static String getRandomName(boolean simple, int len) {
        String[] surName = AppApplication.mContext.getResources().getStringArray(R.array.random_sur_name_items);
        String[] doubleSurName = AppApplication.mContext.getResources().getStringArray(R.array.random_double_sur_name_items);
        String[] word = AppApplication.mContext.getResources().getStringArray(R.array.random_word_name_items);
        int surNameLen = surName.length;
        int doubleSurNameLen = doubleSurName.length;
        int wordLen = word.length;

        StringBuffer sb = new StringBuffer();
        Random random = new Random();
        if(simple){
            sb.append(surName[random.nextInt(surNameLen)]);
            int surLen = sb.toString().length();
            for (int i = 0; i < len - surLen; i++) {
                if(sb.toString().length() <= len){
                    sb.append(word[random.nextInt(wordLen)]);
                }
            }
        }else{
            sb.append(doubleSurName[random.nextInt(doubleSurNameLen)]);
            int doubleSurLen = sb.toString().length();
            for (int i = 0; i < len - doubleSurLen; i++) {
                if(sb.toString().length() <= len){
                    sb.append(word[random.nextInt(wordLen)]);
                }
            }
        }
        return sb.toString();
    }
}
