package com.dolphin.core.util;

import android.view.Gravity;
import android.widget.Toast;

import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.Utils;
import com.dolphin.core.R;

import lombok.experimental.UtilityClass;

/**
 *<p>
 * 吐司工具
 *</p>
 *
 * @Author: entfrm开发团队-王翔
 * @since: 2022/11/8
 */
@UtilityClass
public class ToastUtil {

    public void showBottom(final CharSequence text) {
        ToastUtils.make()
                .setMode(ToastUtils.MODE.DARK)
                .setNotUseSystemToast()
                .setDurationIsLong(false)
                .show(text);
    }

    public void showCenter(final CharSequence text) {
        ToastUtils.make()
                .setGravity(Gravity.CENTER, 0, 0)
                .setMode(ToastUtils.MODE.DARK)
                .setNotUseSystemToast()
                .setDurationIsLong(false)
                .show(text);
    }

    public void showTop(final CharSequence text) {
        ToastUtils.make()
                .setGravity(Gravity.CENTER_HORIZONTAL, 0, 0)
                .setMode(ToastUtils.MODE.DARK)
                .setNotUseSystemToast()
                .setDurationIsLong(false)
                .show(text);
    }
    public void showBottomWarn(final CharSequence text) {
        ToastUtils.make()
                .setLeftIcon(R.drawable.icon_warn)
                .setMode(ToastUtils.MODE.DARK)
                .setNotUseSystemToast()
                .setDurationIsLong(true)
                .show(text);
    }

    public void showBottomSuccess(final CharSequence text) {
        ToastUtils.make()
                .setLeftIcon(R.drawable.icon_success)
                .setMode(ToastUtils.MODE.LIGHT)
                .setNotUseSystemToast()
                .setDurationIsLong(true)
                .show(text);
    }

    public void show(final CharSequence text) {
        Toast.makeText(Utils.getApp(), text, Toast.LENGTH_SHORT).show();
    }

}
