package com.dolphin.umeng.entity;

import android.os.Parcel;
import android.os.Parcelable;

import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors
public class PushChatMessage implements Parcelable{

    private String fanUserId;
    private String offlineRingtone;
    private String onlineRingtone;
    private Boolean playToText;
    private Boolean playSound;
    private Boolean playLights;
    private Boolean playVibrate;
    private String type;
    private String title;
    private String text;

    public PushChatMessage(Parcel in) {
        title = in.readString();
        text = in.readString();
        playVibrate = in.readBoolean();
        playLights = in.readBoolean();
        playSound = in.readBoolean();
        playToText = in.readBoolean();
        onlineRingtone = in.readString();
        offlineRingtone = in.readString();
        fanUserId = in.readString();
    }

    public static final Creator<PushChatMessage> CREATOR = new Creator<PushChatMessage>() {
        @Override
        public PushChatMessage createFromParcel(Parcel in) {
            return new PushChatMessage(in);
        }

        @Override
        public PushChatMessage[] newArray(int size) {
            return new PushChatMessage[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(title);
        parcel.writeString(text);
        parcel.writeBoolean(playVibrate);
        parcel.writeBoolean(playLights);
        parcel.writeBoolean(playSound);
        parcel.writeBoolean(playToText);
        parcel.writeString(onlineRingtone);
        parcel.writeString(offlineRingtone);
        parcel.writeString(fanUserId);
    }
}
